%define fname mwaw
%define api 0.3
%define major 3
%define libname %mklibname %{fname} %{api} %{major}
%define devname %mklibname %{fname} -d

Summary:	Import library for some old mac text documents
Name:		libmwaw
Version:	0.3.4
Release:	1
# The entire source code is LGPLv2+/MPLv2.0 except
# src/lib/MWAWOLEStream.[ch]xx which are BSD. There is also
# src/tools/zip/zip.cpp which is GPLv2+, but we do not build the binary
# it is used for.
License:	(LGPLv2+ or MPLv2.0) and BSD
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libmwaw/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(zlib)

%description
libmwaw contains some import filters for old mac text documents
(MacWrite, ClarisWorks, ... ) based on top of the libwpd (which is
already used in three word processors).

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform the supported formats into other formats
License:	LGPLv2+
Group:		Publishing

%description tools
Tools to transform the supported document formats into other formats.
Supported output formats are XHTML, text and raw.

%files tools
%{_bindir}/mwaw2csv
%{_bindir}/mwaw2html
%{_bindir}/mwaw2raw
%{_bindir}/mwaw2text
%{_bindir}/mwaw2svg

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Import library for some old mac text documents
Group:		System/Libraries

%description -n %{libname}
libmwaw contains some import filters for old mac text documents
(MacWrite, ClarisWorks, ... ) based on top of the libwpd (which is
already used in three word processors).

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc CHANGES COPYING.* README
%doc %{_docdir}/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-zip
%make

%install
%makeinstall_std
# it seems this tool is only useful on MacOS
rm -f %{buildroot}/%{_bindir}/mwawFile

%changelog

* Wed Mar 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.3.4-1
- (d9cdab2) New version 0.3.4


